Page MenuHomePhabricator

[Regression wmf17] 'Redirect this page to' checkbox is unchecked with pre-filled 'Target page for redirection'
Closed, ResolvedPublic1 Estimated Story Points

Description

betalabs & production

  1. Open a page in VE. Page Settings->'Redirect this page to' check the box and fill it out.
  2. Save the page
  3. Open the same page in VE again. 'Redirect this page to' box will not display the check mark. 'Target page for redirection' displays the saved content.

Event Timeline

Etonkovidova raised the priority of this task from to Medium.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: VisualEditor.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 11:49 PM

Change 192751 had a related patch set uploaded (by Alex Monk):
Set redirect enabled checkbox correctly when setting up the page settings UI

https://gerrit.wikimedia.org/r/192751

Krenair claimed this task.Feb 25 2015, 2:32 AM
Jdforrester-WMF renamed this task from [Regression wmf17]'Redirect this page to' checkbox is unchecked with pre-filled 'Target page for redirection' to [Regression wmf17] 'Redirect this page to' checkbox is unchecked with pre-filled 'Target page for redirection'.Feb 25 2015, 4:54 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF set Security to None.

Change 192751 merged by jenkins-bot:
Follow-up I0b4b8dca: Set redirect checkbox correctly on page setup

https://gerrit.wikimedia.org/r/192751

Jdforrester-WMF edited a custom field.Mar 9 2015, 6:10 PM